/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.civicinfo.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * Information about the election that was queried.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Civic Information API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Election extends GenericJson {

  /**
   * Day of the election in YYYY-MM-DD format.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String electionDay;

  /**
   * The unique ID of this election.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long id;

  /**
   * A displayable name for the election.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String name;

  /**
   * Day of the election in YYYY-MM-DD format.
   * The value returned may be {@code null}.
   */
  public String getElectionDay() {
    return electionDay;
  }

  /**
   * Day of the election in YYYY-MM-DD format.
   * The value set may be {@code null}.
   */
  public Election setElectionDay(String electionDay) {
    this.electionDay = electionDay;
    return this;
  }

  /**
   * The unique ID of this election.
   * The value returned may be {@code null}.
   */
  public Long getId() {
    return id;
  }

  /**
   * The unique ID of this election.
   * The value set may be {@code null}.
   */
  public Election setId(Long id) {
    this.id = id;
    return this;
  }

  /**
   * A displayable name for the election.
   * The value returned may be {@code null}.
   */
  public String getName() {
    return name;
  }

  /**
   * A displayable name for the election.
   * The value set may be {@code null}.
   */
  public Election setName(String name) {
    this.name = name;
    return this;
  }

}
