/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.civicinfo.model;

import com.google.api.client.json.GenericJson;

/**
 * Describes the geographic scope of a contest.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Civic Information API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ElectoralDistrict extends GenericJson {

  /**
   * An identifier for this district, relative to its scope. For example, the 34th State Senate
   * district would have id "34" and a scope of stateUpper.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String id;

  /**
   * The name of the district.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String name;

  /**
   * The geographic scope of this district. If unspecified the district's geography is not known.
   * One of: national, statewide, congressional, stateUpper, stateLower, countywide, judicial,
   * schoolBoard, cityWide, township, countyCouncil, cityCouncil, ward, special
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String scope;

  /**
   * An identifier for this district, relative to its scope. For example, the 34th State Senate
   * district would have id "34" and a scope of stateUpper.
   * The value returned may be {@code null}.
   */
  public String getId() {
    return id;
  }

  /**
   * An identifier for this district, relative to its scope. For example, the 34th State Senate
   * district would have id "34" and a scope of stateUpper.
   * The value set may be {@code null}.
   */
  public ElectoralDistrict setId(String id) {
    this.id = id;
    return this;
  }

  /**
   * The name of the district.
   * The value returned may be {@code null}.
   */
  public String getName() {
    return name;
  }

  /**
   * The name of the district.
   * The value set may be {@code null}.
   */
  public ElectoralDistrict setName(String name) {
    this.name = name;
    return this;
  }

  /**
   * The geographic scope of this district. If unspecified the district's geography is not known.
   * One of: national, statewide, congressional, stateUpper, stateLower, countywide, judicial,
   * schoolBoard, cityWide, township, countyCouncil, cityCouncil, ward, special
   * The value returned may be {@code null}.
   */
  public String getScope() {
    return scope;
  }

  /**
   * The geographic scope of this district. If unspecified the district's geography is not known.
   * One of: national, statewide, congressional, stateUpper, stateLower, countywide, judicial,
   * schoolBoard, cityWide, township, countyCouncil, cityCouncil, ward, special
   * The value set may be {@code null}.
   */
  public ElectoralDistrict setScope(String scope) {
    this.scope = scope;
    return this;
  }

}
